Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ORBInitInfo_var Class Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::ORBInitInfo_var:

[legend]
Collaboration diagram for PortableInterceptor::ORBInitInfo_var:

[legend]
List of all members.

## Public Methods
| ORBInitInfo_var (void)
| ORBInitInfo_var (ORBInitInfo_ptr p)
| ORBInitInfo_var (const ORBInitInfo_var &)
| ~ORBInitInfo_var (void)
ORBInitInfo_var & | operator= (ORBInitInfo_ptr)
ORBInitInfo_var & | operator= (const ORBInitInfo_var &)
ORBInitInfo_ptr | operator-> (void) const
| operator const ORBInitInfo_ptr & () const
| operator ORBInitInfo_ptr & ()
ORBInitInfo_ptr | in (void) const
ORBInitInfo_ptr & | inout (void)
ORBInitInfo_ptr & | out (void)
ORBInitInfo_ptr | _retn (void)
ORBInitInfo_ptr | ptr (void) const
## Static Public Methods
ORBInitInfo_ptr | tao_duplicate (ORBInitInfo_ptr)
void | tao_release (ORBInitInfo_ptr)
ORBInitInfo_ptr | tao_nil (void)
ORBInitInfo_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| ORBInitInfo_var (const TAO_Base_var &rhs)
ORBInitInfo_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
ORBInitInfo_ptr | ptr_

## Constructor & Destructor Documentation

PortableInterceptor::ORBInitInfo_var::ORBInitInfo_var | ( | void |  | ) |

PortableInterceptor::ORBInitInfo_var::ORBInitInfo_var | ( | ORBInitInfo_ptr | p | ) | `[inline]`

PortableInterceptor::ORBInitInfo_var::ORBInitInfo_var | ( | const ORBInitInfo_var & |  | ) |

PortableInterceptor::ORBInitInfo_var::~ORBInitInfo_var | ( | void |  | ) |

PortableInterceptor::ORBInitInfo_var::ORBInitInfo_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

ORBInitInfo_ptr PortableInterceptor::ORBInitInfo_var::_retn | ( | void |  | ) |

ORBInitInfo_ptr PortableInterceptor::ORBInitInfo_var::in | ( | void |  | ) | const

ORBInitInfo_ptr& PortableInterceptor::ORBInitInfo_var::inout | ( | void |  | ) |

PortableInterceptor::ORBInitInfo_var::operator const ORBInitInfo_ptr & | ( |  | ) | const

PortableInterceptor::ORBInitInfo_var::operator ORBInitInfo_ptr & | ( |  | ) |

ORBInitInfo_ptr PortableInterceptor::ORBInitInfo_var::operator-> | ( | void |  | ) | const

ORBInitInfo_var& PortableInterceptor::ORBInitInfo_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

ORBInitInfo_var& PortableInterceptor::ORBInitInfo_var::operator= | ( | const ORBInitInfo_var & |  | ) |

PortableInterceptor::ORBInitInfo_var & PortableInterceptor::ORBInitInfo_var::operator= | ( | ORBInitInfo_ptr | p | ) |

ORBInitInfo_ptr& PortableInterceptor::ORBInitInfo_var::out | ( | void |  | ) |

PortableInterceptor::ORBInitInfo_ptr PortableInterceptor::ORBInitInfo_var::ptr | ( | void |  | ) | const

ORBInitInfo_ptr PortableInterceptor::ORBInitInfo_var::tao_duplicate | ( | ORBInitInfo_ptr |  | ) | `[static]`

ORBInitInfo_ptr PortableInterceptor::ORBInitInfo_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

ORBInitInfo_ptr PortableInterceptor::ORBInitInfo_var::tao_nil | ( | void |  | ) | `[static]`

void PortableInterceptor::ORBInitInfo_var::tao_release | ( | ORBInitInfo_ptr |  | ) | `[static]`

CORBA::Object* PortableInterceptor::ORBInitInfo_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

ORBInitInfo_ptr PortableInterceptor::ORBInitInfo_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PortableInterceptorC.h
- PortableInterceptorC.cpp